Subject: RE: [External] : Re: bug#27896: 25.2; `C-M-%' with `rectangle-mark-mode'

From: Drew Adams <[email-masked]>
Date: Tue, 9 Feb 2021 17:34:29 +0000

> So this is a question of priorities: does it make sense to spend
> much time implementing this.  Are there any users of this feature?
> 
> I mean the feature of regexp and multi-line replacements in rectangle
> mode, because non-regexp single-line string replacements already work 
> fine in rectangle mode.

I won't suggest what anyone should work on.
We all have limited time and (different)
limited interests.

I'll just say this: the ability for a user
to do this (search any noncontiguous region
properly) would greatly enhance Emacs, IMO.

It's powerful to be able to search zones
(aka noncontiguous regions in a general way,
and that includes limiting _matching_ to the
zones to be searched, not matching against
the whole buffer restriction and then
filtering.

However, this must _not_ be limited to the
assumption of a _rectangular_ noncontiguous
region.  That would defeat the purpose.
That's just one (albeit important) use case.

(And you can already see that from your
discussion of the only exception - for
rectangles - being the rare case when the
rectangle width includes whole lines.  The
case for arbitrary zones is very different.)

I've long had in mind doing this myself,
and started to do so more than once, but I
haven't gotten around to accomplishing it.

If someone does it (in a general way, with
no assumptions of rectangularity) then
great.  If not, that will be for some
indefinite future.